#include "BaseGasCloudProjectile.h"
#include "Engine/HitResult.h"
#include "EBombType.h"
#include "PoolableProjectileComponent.h"

class UPrimitiveComponent;
class AActor;
class AKiller;

void ABaseGasCloudProjectile::SetIsDissipating(bool isDissipating)
{

}

void ABaseGasCloudProjectile::SetIgnoredActors()
{

}

void ABaseGasCloudProjectile::OnOverlapEnd(UPrimitiveComponent* hitComp, AActor* otherActor, UPrimitiveComponent* otherComponent, int32 otherBodyIndex)
{

}

void ABaseGasCloudProjectile::OnOverlapBegin(UPrimitiveComponent* hitComp, AActor* otherActor, UPrimitiveComponent* otherComponent, int32 otherBodyIndex, bool bFromSweep, const FHitResult& sweepResult)
{

}

void ABaseGasCloudProjectile::OnAcquiredChanged(bool acquired)
{

}

void ABaseGasCloudProjectile::Multicast_DissipateGasCloud_Implementation()
{

}

bool ABaseGasCloudProjectile::IsSurvivorDetectionEnabled()
{
	return false;
}

bool ABaseGasCloudProjectile::IsDissipating()
{
	return false;
}

AKiller* ABaseGasCloudProjectile::GetKiller() const
{
	return NULL;
}

EBombType ABaseGasCloudProjectile::GetGasType()
{
	return EBombType::Toxin;
}

void ABaseGasCloudProjectile::DissipateGasCloud_Implementation()
{

}

void ABaseGasCloudProjectile::Authority_SetCumulativeLifetime(const float value)
{

}

float ABaseGasCloudProjectile::Authority_GetCumulativeLifetime() const
{
	return 0.0f;
}

ABaseGasCloudProjectile::ABaseGasCloudProjectile()
{
	this->_gasType = EBombType::Toxin;
	this->_poolableProjectile = CreateDefaultSubobject<UPoolableProjectileComponent>(TEXT("Poolable Projectile Component"));
	this->_overlappingTime = 0.000000;
	this->_dissipating = false;
	this->_cumulativeLifetime = 0.000000;
}
